spring:
  application:
    name: base

  jackson:
    default-property-inclusion: non-null
    serialization:
      write-dates-as-timestamps: false

  datasource:
    url: jdbc:h2:mem:baseproject
    # url: jdbc:h2:file:/data/demo
    username: user
    password: password
    driverClassName: org.h2.Driver

  jpa:
    database-platform: org.hibernate.dialect.H2Dialect
    defer-datasource-initialization: true
    show-sql: true

server:
  port: 8080

  compression:
    enabled: true
    mime-types: text/html,text/css,application/javascript,application/json

logging:
  level:
    root: info
    org:
      springframework:
        web: debug

base-simple-security:
    jwt-secret: q7z4faO/S3b9z2ePXl6On0VeXqGCZKZQW0i8NRJ3hC4=
    jwt-expiration-ms: 86400000
